#
#
# qmake configuration for hpux-cc
#
# We define _POSIX_C_SOURCE to 199506L when using threads, therefore
# we also need to redefine _HPUX_SOURCE.
# See pthread(3t) for more details.
#
# From the "HP aC++ Online Programmer's Guide":
# 	Using +DS to Specify Instruction Scheduling:
# 	* By default, the compiler performs scheduling tuned for the system
# 	  on which you are compiling, or, if specified, tuned for the setting
# 	  of the +DA option.
#
# From the online "C/HP-UX Reference Manual":
#	-Aa
# 	  Enables strict ANSI C compliance.
# 	-Ae
# 	  Enables ANSI C compliance, HP value-added features (as described
# 	  for +e option), and _HPUX_SOURCE name space macro. It is equivalent
# 	  to -Aa +e -D_HPUX_SOURCE.
# 	+e
# 	  Enables the following HP value added features while compiling in
# 	  ANSI C mode: sized enum, long long, long pointers, compiler supplied
# 	  defaults for missing arguments to intrinsic calls, and $ in identifier
# 	  HP C extensions.
#

MAKEFILE_GENERATOR	= UNIX
TEMPLATE		= app
CONFIG			+= qt warn_on release link_prl

TQMAKE_CC		= cc
TQMAKE_LEX		= flex
TQMAKE_LEXFLAGS		= 
TQMAKE_YACC		= yacc
TQMAKE_YACCFLAGS		= -d
TQMAKE_CFLAGS		= -Ae +DA1.1e -w
TQMAKE_CFLAGS_WARN_ON	=
TQMAKE_CFLAGS_WARN_OFF	=
TQMAKE_CFLAGS_RELEASE	= -O
TQMAKE_CFLAGS_DEBUG	= -g
TQMAKE_CFLAGS_SHLIB	= +Z
TQMAKE_CFLAGS_YACC	=

TQMAKE_CXX		= CC
TQMAKE_CXXFLAGS		= +DA1.1e -w +a1 -D_HPUX_SOURCE
TQMAKE_CXXFLAGS_WARN_ON	= $$TQMAKE_CFLAGS_WARN_ON
TQMAKE_CXXFLAGS_WARN_OFF	= $$TQMAKE_CFLAGS_WARN_OFF
TQMAKE_CXXFLAGS_RELEASE	= $$TQMAKE_CFLAGS_RELEASE
TQMAKE_CXXFLAGS_DEBUG	= $$TQMAKE_CFLAGS_DEBUG
TQMAKE_CXXFLAGS_SHLIB	= $$TQMAKE_CFLAGS_SHLIB
TQMAKE_CXXFLAGS_YACC	= $$TQMAKE_CFLAGS_YACC

TQMAKE_INCDIR		=
TQMAKE_LIBDIR		=
TQMAKE_INCDIR_X11	= /usr/include/X11R6
TQMAKE_LIBDIR_X11	= /usr/lib/X11R6
TQMAKE_INCDIR_QT		= $(TQTDIR)/include
TQMAKE_LIBDIR_QT		= $(TQTDIR)/lib
TQMAKE_INCDIR_OPENGL	= /opt/graphics/OpenGL/include /usr/contrib/X11R6/include
TQMAKE_LIBDIR_OPENGL	= /opt/graphics/OpenGL/lib /usr/contrib/X11R6/lib

TQMAKE_LINK		= CC
TQMAKE_LINK_SHLIB	= CC
# CC generates template code during linking, and so needs -I's
TQMAKE_LFLAGS		= +DA1.1e -Wl,+s -L/usr/lib -I$$TQMAKE_INCDIR_X11 -I$$TQMAKE_INCDIR_QT
TQMAKE_LFLAGS_RELEASE	= -O -s
TQMAKE_LFLAGS_DEBUG	=
TQMAKE_LFLAGS_SHLIB	= -b
TQMAKE_LFLAGS_PLUGIN	= $$TQMAKE_LFLAGS_SHLIB
TQMAKE_LFLAGS_SONAME	= -Wl,+h,
TQMAKE_RPATH		= -Wl,+b,
TQMAKE_HPUX_SHLIB	= 1

TQMAKE_LIBS		= -lm
TQMAKE_LIBS_DYNLOAD	= -ldld
TQMAKE_LIBS_X11		= -lXext -lX11
TQMAKE_LIBS_X11SM	= -lSM -lICE
TQMAKE_LIBS_QT		= -lqt

TQMAKE_LIBS_OPENGL	= -lGLU -lGL -lXmu
TQMAKE_LIBS_OPENGL_QT	= -lGL -lXmu

TQMAKE_TQMOC		= $(TQTDIR)/bin/tqmoc
TQMAKE_UIC		= $(TQTDIR)/bin/uic

TQMAKE_AR		= ar cqs
TQMAKE_RANLIB		=

TQMAKE_TAR		= tar -cf
TQMAKE_GZIP		= gzip -9f

TQMAKE_COPY		= cp -f
TQMAKE_MOVE		= mv -f
TQMAKE_DEL_FILE		= rm -f
TQMAKE_DEL_DIR		= rmdir
TQMAKE_CHK_DIR_EXISTS	= test -d
TQMAKE_MKDIR		= mkdir -p
